precision highp float;

uniform sampler2D u_text;

varying highp vec2 textureCoordinate;

uniform float u_startTime;
uniform float u_endTime;
uniform float u_currentTime;

uniform mat4 u_textInfo;
uniform float showAlpha;



void main() {
    
    float current = u_currentTime - u_startTime;
    float total = u_endTime - u_startTime; 

    float alpha = texture2D(u_text, textureCoordinate).a;
    
    gl_FragColor = vec4(alpha * showAlpha);


}

